Mad Level Manager

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events
Classes | Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
MadLevelManager.MadiTween Class Reference

More...

Inheritance diagram for MadLevelManager.MadiTween:

## Classes
class | Defaults
| A collection of baseline presets that iTween needs and utilizes if certain parameters are not provided.

## Public Types
enum | EaseType { easeInQuad, easeOutQuad, easeInOutQuad, easeInCubic, easeOutCubic, easeInOutCubic, easeInQuart, easeOutQuart, easeInOutQuart, easeInQuint, easeOutQuint, easeInOutQuint, easeInSine, easeOutSine, easeInOutSine, easeInExpo, easeOutExpo, easeInOutExpo, easeInCirc, easeOutCirc, easeInOutCirc, linear, spring, easeInBounce, easeOutBounce, easeInOutBounce, easeInBack, easeOutBack, easeInOutBack, easeInElastic, easeOutElastic, easeInOutElastic, punch }
| The type of easing to use based on Robert Penner's open source easing equations (http://www.robertpenner.com/easing_terms_of_use.html). More...
enum | LoopType { LoopType.none, LoopType.loop, LoopType.pingPong }
| The type of loop (if any) to use. More...
enum | NamedValueColor { NamedValueColor._Color, NamedValueColor._SpecColor, NamedValueColor._Emission, NamedValueColor._ReflectColor }
| Many shaders use more than one color. Use can have iTween's Color methods operate on them by name. More...

## Public Member Functions
delegate float | EasingFunction (float start, float end, float Value)

## Static Public Member Functions
static void | Init (GameObject target)
| Sets up a GameObject to avoid hiccups when an initial iTween is added. It's advisable to run this on every object you intend to run iTween on in its Start or Awake. More...
static void | CameraFadeFrom (float amount, float time)
| Instantly changes the amount(transparency) of a camera fade and then returns it back over time with MINIMUM customization options. More...
static void | CameraFadeFrom (Hashtable args)
| Instantly changes the amount(transparency) of a camera fade and then returns it back over time with FULL customization options. More...
static void | CameraFadeTo (float amount, float time)
| Changes the amount(transparency) of a camera fade over time with MINIMUM customization options. More...
static void | CameraFadeTo (Hashtable args)
| Changes the amount(transparency) of a camera fade over time with FULL customization options. More...
static void | ValueTo (GameObject target, Hashtable args)
| Returns a value to an 'oncallback' method interpolated between the supplied 'from' and 'to' values for application as desired. Requires an 'onupdate' callback that accepts the same type as the supplied 'from' and 'to' properties. More...
static void | FadeFrom (GameObject target, float alpha, float time)
| Changes a GameObject's alpha value instantly then returns it to the provided alpha over time with MINIMUM customization options. If a GUIText or GUITexture component is attached, it will become the target of the animation. Identical to using ColorFrom and using the "a" parameter. More...
static void | FadeFrom (GameObject target, Hashtable args)
| Changes a GameObject's alpha value instantly then returns it to the provided alpha over time with FULL customization options. If a GUIText or GUITexture component is attached, it will become the target of the animation. Identical to using ColorFrom and using the "a" parameter. More...
static void | FadeTo (GameObject target, float alpha, float time)
| Changes a GameObject's alpha value over time with MINIMUM customization options. If a GUIText or GUITexture component is attached, it will become the target of the animation. Identical to using ColorTo and using the "a" parameter. More...
static void | FadeTo (GameObject target, Hashtable args)
| Changes a GameObject's alpha value over time with FULL customization options. If a GUIText or GUITexture component is attached, it will become the target of the animation. Identical to using ColorTo and using the "a" parameter. More...
static void | ColorFrom (GameObject target, Color color, float time)
| Changes a GameObject's color values instantly then returns them to the provided properties over time with MINIMUM customization options. If a GUIText or GUITexture component is attached, it will become the target of the animation. More...
static void | ColorFrom (GameObject target, Hashtable args)
| Changes a GameObject's color values instantly then returns them to the provided properties over time with FULL customization options. If a GUIText or GUITexture component is attached, it will become the target of the animation. More...
static void | ColorTo (GameObject target, Color color, float time)
| Changes a GameObject's color values over time with MINIMUM customization options. If a GUIText or GUITexture component is attached, they will become the target of the animation. More...
static void | ColorTo (GameObject target, Hashtable args)
| Changes a GameObject's color values over time with FULL customization options. If a GUIText or GUITexture component is attached, they will become the target of the animation. More...
static void | AudioFrom (GameObject target, float volume, float pitch, float time)
| Instantly changes an AudioSource's volume and pitch then returns it to it's starting volume and pitch over time with MINIMUM customization options. Default AudioSource attached to GameObject will be used (if one exists) if not supplied. More...
static void | AudioFrom (GameObject target, Hashtable args)
| Instantly changes an AudioSource's volume and pitch then returns it to it's starting volume and pitch over time with FULL customization options. Default AudioSource attached to GameObject will be used (if one exists) if not supplied. More...
static void | AudioTo (GameObject target, float volume, float pitch, float time)
| Fades volume and pitch of an AudioSource with MINIMUM customization options. Default AudioSource attached to GameObject will be used (if one exists) if not supplied. More...
static void | AudioTo (GameObject target, Hashtable args)
| Fades volume and pitch of an AudioSource with FULL customization options. Default AudioSource attached to GameObject will be used (if one exists) if not supplied. More...
static void | Stab (GameObject target, AudioClip audioclip, float delay)
| Plays an AudioClip once based on supplied volume and pitch and following any delay with MINIMUM customization options. AudioSource is optional as iTween will provide one. More...
static void | Stab (GameObject target, Hashtable args)
| Plays an AudioClip once based on supplied volume and pitch and following any delay with FULL customization options. AudioSource is optional as iTween will provide one. More...
static void | LookFrom (GameObject target, Vector3 looktarget, float time)
| Instantly rotates a GameObject to look at the supplied Vector3 then returns it to it's starting rotation over time with MINIMUM customization options. More...
static void | LookFrom (GameObject target, Hashtable args)
| Instantly rotates a GameObject to look at a supplied Transform or Vector3 then returns it to it's starting rotation over time with FULL customization options. More...
static void | LookTo (GameObject target, Vector3 looktarget, float time)
| Rotates a GameObject to look at the supplied Vector3 over time with MINIMUM customization options. More...
static void | LookTo (GameObject target, Hashtable args)
| Rotates a GameObject to look at a supplied Transform or Vector3 over time with FULL customization options. More...
static void | MoveTo (GameObject target, Vector3 position, float time)
| Changes a GameObject's position over time to a supplied destination with MINIMUM customization options. More...
static void | MoveTo (GameObject target, Hashtable args)
| Changes a GameObject's position over time to a supplied destination with FULL customization options. More...
static void | MoveFrom (GameObject target, Vector3 position, float time)
| Instantly changes a GameObject's position to a supplied destination then returns it to it's starting position over time with MINIMUM customization options. More...
static void | MoveFrom (GameObject target, Hashtable args)
| Instantly changes a GameObject's position to a supplied destination then returns it to it's starting position over time with FULL customization options. More...
static void | MoveAdd (GameObject target, Vector3 amount, float time)
| Translates a GameObject's position over time with MINIMUM customization options. More...
static void | MoveAdd (GameObject target, Hashtable args)
| Translates a GameObject's position over time with FULL customization options. More...
static void | MoveBy (GameObject target, Vector3 amount, float time)
| Adds the supplied coordinates to a GameObject's postion with MINIMUM customization options. More...
static void | MoveBy (GameObject target, Hashtable args)
| Adds the supplied coordinates to a GameObject's position with FULL customization options. More...
static void | ScaleTo (GameObject target, Vector3 scale, float time)
| Changes a GameObject's scale over time with MINIMUM customization options. More...
static void | ScaleTo (GameObject target, Hashtable args)
| Changes a GameObject's scale over time with FULL customization options. More...
static void | ScaleFrom (GameObject target, Vector3 scale, float time)
| Instantly changes a GameObject's scale then returns it to it's starting scale over time with MINIMUM customization options. More...
static void | ScaleFrom (GameObject target, Hashtable args)
| Instantly changes a GameObject's scale then returns it to it's starting scale over time with FULL customization options. More...
static void | ScaleAdd (GameObject target, Vector3 amount, float time)
| Adds to a GameObject's scale over time with FULL customization options. More...
static void | ScaleAdd (GameObject target, Hashtable args)
| Adds to a GameObject's scale over time with FULL customization options. More...
static void | ScaleBy (GameObject target, Vector3 amount, float time)
| Multiplies a GameObject's scale over time with MINIMUM customization options. More...
static void | ScaleBy (GameObject target, Hashtable args)
| Multiplies a GameObject's scale over time with FULL customization options. More...
static void | RotateTo (GameObject target, Vector3 rotation, float time)
| Rotates a GameObject to the supplied Euler angles in degrees over time with MINIMUM customization options. More...
static void | RotateTo (GameObject target, Hashtable args)
| Rotates a GameObject to the supplied Euler angles in degrees over time with FULL customization options. More...
static void | RotateFrom (GameObject target, Vector3 rotation, float time)
| Instantly changes a GameObject's Euler angles in degrees then returns it to it's starting rotation over time (if allowed) with MINIMUM customization options. More...
static void | RotateFrom (GameObject target, Hashtable args)
| Instantly changes a GameObject's Euler angles in degrees then returns it to it's starting rotation over time (if allowed) with FULL customization options. More...
static void | RotateAdd (GameObject target, Vector3 amount, float time)
| Adds supplied Euler angles in degrees to a GameObject's rotation over time with MINIMUM customization options. More...
static void | RotateAdd (GameObject target, Hashtable args)
| Adds supplied Euler angles in degrees to a GameObject's rotation over time with FULL customization options. More...
static void | RotateBy (GameObject target, Vector3 amount, float time)
| Multiplies supplied values by 360 and rotates a GameObject by calculated amount over time with MINIMUM customization options. More...
static void | RotateBy (GameObject target, Hashtable args)
| Multiplies supplied values by 360 and rotates a GameObject by calculated amount over time with FULL customization options. More...
static void | ShakePosition (GameObject target, Vector3 amount, float time)
| Randomly shakes a GameObject's position by a diminishing amount over time with MINIMUM customization options. More...
static void | ShakePosition (GameObject target, Hashtable args)
| Randomly shakes a GameObject's position by a diminishing amount over time with FULL customization options. More...
static void | ShakeScale (GameObject target, Vector3 amount, float time)
| Randomly shakes a GameObject's scale by a diminishing amount over time with MINIMUM customization options. More...
static void | ShakeScale (GameObject target, Hashtable args)
| Randomly shakes a GameObject's scale by a diminishing amount over time with FULL customization options. More...
static void | ShakeRotation (GameObject target, Vector3 amount, float time)
| Randomly shakes a GameObject's rotation by a diminishing amount over time with MINIMUM customization options. More...
static void | ShakeRotation (GameObject target, Hashtable args)
| Randomly shakes a GameObject's rotation by a diminishing amount over time with FULL customization options. More...
static void | PunchPosition (GameObject target, Vector3 amount, float time)
| Applies a jolt of force to a GameObject's position and wobbles it back to its initial position with MINIMUM customization options. More...
static void | PunchPosition (GameObject target, Hashtable args)
| Applies a jolt of force to a GameObject's position and wobbles it back to its initial position with FULL customization options. More...
static void | PunchRotation (GameObject target, Vector3 amount, float time)
| Applies a jolt of force to a GameObject's rotation and wobbles it back to its initial rotation with MINIMUM customization options. More...
static void | PunchRotation (GameObject target, Hashtable args)
| Applies a jolt of force to a GameObject's rotation and wobbles it back to its initial rotation with FULL customization options. More...
static void | PunchScale (GameObject target, Vector3 amount, float time)
| Applies a jolt of force to a GameObject's scale and wobbles it back to its initial scale with MINIMUM customization options. More...
static void | PunchScale (GameObject target, Hashtable args)
| Applies a jolt of force to a GameObject's scale and wobbles it back to its initial scale with FULL customization options. More...
static Rect | RectUpdate (Rect currentValue, Rect targetValue, float speed)
| Returns a Rect that is eased between a current and target value by the supplied speed. More...
static Vector3 | Vector3Update (Vector3 currentValue, Vector3 targetValue, float speed)
| Returns a Vector3 that is eased between a current and target value by the supplied speed. More...
static Vector2 | Vector2Update (Vector2 currentValue, Vector2 targetValue, float speed)
| Returns a Vector2 that is eased between a current and target value by the supplied speed. More...
static float | FloatUpdate (float currentValue, float targetValue, float speed)
| Returns a float that is eased between a current and target value by the supplied speed. More...
static void | FadeUpdate (GameObject target, Hashtable args)
| Similar to FadeTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with FULL customization options. Does not utilize an EaseType. More...
static void | FadeUpdate (GameObject target, float alpha, float time)
| Similar to FadeTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with MINIMUM customization options. Does not utilize an EaseType. More...
static void | ColorUpdate (GameObject target, Hashtable args)
| Similar to ColorTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with FULL customization options. Does not utilize an EaseType. More...
static void | ColorUpdate (GameObject target, Color color, float time)
| Similar to ColorTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with MINIMUM customization options. Does not utilize an EaseType. More...
static void | AudioUpdate (GameObject target, Hashtable args)
| Similar to AudioTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with FULL customization options. Does not utilize an EaseType. More...
static void | AudioUpdate (GameObject target, float volume, float pitch, float time)
| Similar to AudioTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with MINIMUM customization options. Does not utilize an EaseType. More...
static void | RotateUpdate (GameObject target, Hashtable args)
| Similar to RotateTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with FULL customization options. Does not utilize an EaseType. More...
static void | RotateUpdate (GameObject target, Vector3 rotation, float time)
| Similar to RotateTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with MINIMUM customization options. Does not utilize an EaseType. More...
static void | ScaleUpdate (GameObject target, Hashtable args)
| Similar to ScaleTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with FULL customization options. Does not utilize an EaseType. More...
static void | ScaleUpdate (GameObject target, Vector3 scale, float time)
| Similar to ScaleTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with MINIMUM customization options. Does not utilize an EaseType. More...
static void | MoveUpdate (GameObject target, Hashtable args)
| Similar to MoveTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with FULL customization options. Does not utilize an EaseType. More...
static void | MoveUpdate (GameObject target, Vector3 position, float time)
| Similar to MoveTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with MINIMUM customization options. Does not utilize an EaseType. More...
static void | LookUpdate (GameObject target, Hashtable args)
| Similar to LookTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with FULL customization options. Does not utilize an EaseType. More...
static void | LookUpdate (GameObject target, Vector3 looktarget, float time)
| Similar to LookTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with FULL customization options. Does not utilize an EaseType. More...
static float | PathLength (Transform[] path)
| Returns the length of a curved path drawn through the provided array of Transforms. More...
static float | PathLength (Vector3[] path)
| Returns the length of a curved path drawn through the provided array of Vector3s. More...
static Texture2D | CameraTexture (Color color)
| Creates and returns a full-screen Texture2D for use with CameraFade. More...
static void | PutOnPath (GameObject target, Vector3[] path, float percent)
| Puts a GameObject on a path at the provided percentage More...
static void | PutOnPath (Transform target, Vector3[] path, float percent)
| Puts a GameObject on a path at the provided percentage More...
static void | PutOnPath (GameObject target, Transform[] path, float percent)
| Puts a GameObject on a path at the provided percentage More...
static void | PutOnPath (Transform target, Transform[] path, float percent)
| Puts a GameObject on a path at the provided percentage More...
static Vector3 | PointOnPath (Transform[] path, float percent)
| Returns a Vector3 position on a path at the provided percentage More...
static void | DrawLine (Vector3[] line)
| When called from an OnDrawGizmos() function it will draw a line through the provided array of Vector3s. More...
static void | DrawLine (Vector3[] line, Color color)
| When called from an OnDrawGizmos() function it will draw a line through the provided array of Vector3s. More...
static void | DrawLine (Transform[] line)
| When called from an OnDrawGizmos() function it will draw a line through the provided array of Transforms. More...
static void | DrawLine (Transform[] line, Color color)
| When called from an OnDrawGizmos() function it will draw a line through the provided array of Transforms. More...
static void | DrawLineGizmos (Vector3[] line)
| Draws a line through the provided array of Vector3s with Gizmos.DrawLine(). More...
static void | DrawLineGizmos (Vector3[] line, Color color)
| Draws a line through the provided array of Vector3s with Gizmos.DrawLine(). More...
static void | DrawLineGizmos (Transform[] line)
| Draws a line through the provided array of Transforms with Gizmos.DrawLine(). More...
static void | DrawLineGizmos (Transform[] line, Color color)
| Draws a line through the provided array of Transforms with Gizmos.DrawLine(). More...
static void | DrawLineHandles (Vector3[] line)
| Draws a line through the provided array of Vector3s with Handles.DrawLine(). More...
static void | DrawLineHandles (Vector3[] line, Color color)
| Draws a line through the provided array of Vector3s with Handles.DrawLine(). More...
static void | DrawLineHandles (Transform[] line)
| Draws a line through the provided array of Transforms with Handles.DrawLine(). More...
static void | DrawLineHandles (Transform[] line, Color color)
| Draws a line through the provided array of Transforms with Handles.DrawLine(). More...
static Vector3 | PointOnPath (Vector3[] path, float percent)
| Returns a Vector3 position on a path at the provided percentage More...
static void | DrawPath (Vector3[] path)
| When called from an OnDrawGizmos() function it will draw a curved path through the provided array of Vector3s. More...
static void | DrawPath (Vector3[] path, Color color)
| When called from an OnDrawGizmos() function it will draw a curved path through the provided array of Vector3s. More...
static void | DrawPath (Transform[] path)
| When called from an OnDrawGizmos() function it will draw a curved path through the provided array of Transforms. More...
static void | DrawPath (Transform[] path, Color color)
| When called from an OnDrawGizmos() function it will draw a curved path through the provided array of Transforms. More...
static void | DrawPathGizmos (Vector3[] path)
| Draws a curved path through the provided array of Vector3s with Gizmos.DrawLine(). More...
static void | DrawPathGizmos (Vector3[] path, Color color)
| Draws a curved path through the provided array of Vector3s with Gizmos.DrawLine(). More...
static void | DrawPathGizmos (Transform[] path)
| Draws a curved path through the provided array of Transforms with Gizmos.DrawLine(). More...
static void | DrawPathGizmos (Transform[] path, Color color)
| Draws a curved path through the provided array of Transforms with Gizmos.DrawLine(). More...
static void | DrawPathHandles (Vector3[] path)
| Draws a curved path through the provided array of Vector3s with Handles.DrawLine(). More...
static void | DrawPathHandles (Vector3[] path, Color color)
| Draws a curved path through the provided array of Vector3s with Handles.DrawLine(). More...
static void | DrawPathHandles (Transform[] path)
| Draws a curved path through the provided array of Transforms with Handles.DrawLine(). More...
static void | DrawPathHandles (Transform[] path, Color color)
| Draws a curved path through the provided array of Transforms with Handles.DrawLine(). More...
static void | CameraFadeDepth (int depth)
| Changes a camera fade's texture. More...
static void | CameraFadeDestroy ()
| Removes and destroyes a camera fade. More...
static void | CameraFadeSwap (Texture2D texture)
| Changes a camera fade's texture. More...
static GameObject | CameraFadeAdd (Texture2D texture, int depth)
| Creates a GameObject (if it doesn't exist) at the supplied depth that can be used to simulate a camera fade. More...
static GameObject | CameraFadeAdd (Texture2D texture)
| Creates a GameObject (if it doesn't exist) at the default depth that can be used to simulate a camera fade. More...
static GameObject | CameraFadeAdd ()
| Creates a GameObject (if it doesn't exist) at the default depth filled with black that can be used to simulate a camera fade. More...
static void | Resume (GameObject target)
| Resume all iTweens on a GameObject. More...
static void | Resume (GameObject target, bool includechildren)
| Resume all iTweens on a GameObject including its children. More...
static void | Resume (GameObject target, string type)
  | Resume all iTweens on a GameObject of a particular type. </summar Parameters
  type | A System.String name of the type of iTween you would like to resume. Can be written as part of a name such as "mov" for all "MoveTo" iTweens.
static void | Resume (GameObject target, string type, bool includechildren)
  | Resume all iTweens on a GameObject of a particular type including its children. </summar Parameters
  type | A System.String name of the type of iTween you would like to resume. Can be written as part of a name such as "mov" for all "MoveTo" iTweens.
static void | Resume ()
| Resume all iTweens in scene. More...
static void | Resume (string type)
| Resume all iTweens in scene of a particular type. More...
static void | Pause (GameObject target)
| Pause all iTweens on a GameObject. More...
static void | Pause (GameObject target, bool includechildren)
| Pause all iTweens on a GameObject including its children. More...
static void | Pause (GameObject target, string type)
  | Pause all iTweens on a GameObject of a particular type. </summar Parameters
  type | A System.String name of the type of iTween you would like to pause. Can be written as part of a name such as "mov" for all "MoveTo" iTweens.
static void | Pause (GameObject target, string type, bool includechildren)
  | Pause all iTweens on a GameObject of a particular type including its children. </summar Parameters
  type | A System.String name of the type of iTween you would like to pause. Can be written as part of a name such as "mov" for all "MoveTo" iTweens.
static void | Pause ()
| Pause all iTweens in scene. More...
static void | Pause (string type)
| Pause all iTweens in scene of a particular type. More...
static int | Count ()
| Count all iTweens in current scene. More...
static int | Count (string type)
| Count all iTweens in current scene of a particular type. More...
static int | Count (GameObject target)
| Count all iTweens on a GameObject. More...
static int | Count (GameObject target, string type)
| Count all iTweens on a GameObject of a particular type. More...
static void | Stop ()
| Stop and destroy all Tweens in current scene. More...
static void | Stop (string type)
| Stop and destroy all iTweens in current scene of a particular type. More...
static void | StopByName (string name)
| Stop and destroy all iTweens in current scene of a particular name. More...
static void | Stop (GameObject target)
| Stop and destroy all iTweens on a GameObject. More...
static void | Stop (GameObject target, bool includechildren)
| Stop and destroy all iTweens on a GameObject including its children. More...
static void | Stop (GameObject target, string type)
  | Stop and destroy all iTweens on a GameObject of a particular type. </summar Parameters
  type | A System.String name of the type of iTween you would like to stop. Can be written as part of a name such as "mov" for all "MoveTo" iTweens.
static void | StopByName (GameObject target, string name)
  | Stop and destroy all iTweens on a GameObject of a particular name. </summar Parameters
  name | The System.String name of iTween you would like to stop.
static void | Stop (GameObject target, string type, bool includechildren)
  | Stop and destroy all iTweens on a GameObject of a particular type including its children. </summar Parameters
  type | A System.String name of the type of iTween you would like to stop. Can be written as part of a name such as "mov" for all "MoveTo" iTweens.
static void | StopByName (GameObject target, string name, bool includechildren)
  | Stop and destroy all iTweens on a GameObject of a particular name including its children. </summar Parameters
  name | The System.String name of iTween you would like to stop.
static Hashtable | Hash (params object[] args)
| Universal interface to help in the creation of Hashtables. Especially useful for C# users. More...
static EasingFunction | GetEasingFunction (EaseType easeType)
static float | linear (float start, float end, float value)
static float | spring (float start, float end, float value)
static float | easeInQuad (float start, float end, float value)
static float | easeOutQuad (float start, float end, float value)
static float | easeInOutQuad (float start, float end, float value)
static float | easeInCubic (float start, float end, float value)
static float | easeOutCubic (float start, float end, float value)
static float | easeInOutCubic (float start, float end, float value)
static float | easeInQuart (float start, float end, float value)
static float | easeOutQuart (float start, float end, float value)
static float | easeInOutQuart (float start, float end, float value)
static float | easeInQuint (float start, float end, float value)
static float | easeOutQuint (float start, float end, float value)
static float | easeInOutQuint (float start, float end, float value)
static float | easeInSine (float start, float end, float value)
static float | easeOutSine (float start, float end, float value)
static float | easeInOutSine (float start, float end, float value)
static float | easeInExpo (float start, float end, float value)
static float | easeOutExpo (float start, float end, float value)
static float | easeInOutExpo (float start, float end, float value)
static float | easeInCirc (float start, float end, float value)
static float | easeOutCirc (float start, float end, float value)
static float | easeInOutCirc (float start, float end, float value)
static float | easeInBounce (float start, float end, float value)
static float | easeOutBounce (float start, float end, float value)
static float | easeInOutBounce (float start, float end, float value)
static float | easeInBack (float start, float end, float value)
static float | easeOutBack (float start, float end, float value)
static float | easeInOutBack (float start, float end, float value)
static float | punch (float amplitude, float value)
static float | easeInElastic (float start, float end, float value)
static float | easeOutElastic (float start, float end, float value)
static float | easeInOutElastic (float start, float end, float value)

## Public Attributes
string | id
MadiTween.EaseType | easeType
float | time
LoopType | loopType
bool | isRunning
string | _name

## Static Public Attributes
static List< Hashtable > | tweens = new List<Hashtable>()

## Detailed Description

Version: 2.0.46

Author: Bob Berkebile (http://pixelplacement.com)

Support: http://itween.pixelplacement.com

## Member Enumeration Documentation

enum MadLevelManager.MadiTween.EaseType

The type of easing to use based on Robert Penner's open source easing equations (http://www.robertpenner.com/easing_terms_of_use.html).

enum MadLevelManager.MadiTween.LoopType

The type of loop (if any) to use.

Enumerator
none | Do not loop.
loop | Rewind and replay.
pingPong | Ping pong the animation back and forth.

enum MadLevelManager.MadiTween.NamedValueColor

Many shaders use more than one color. Use can have iTween's Color methods operate on them by name.

Enumerator
_Color | The main color of a material. Used by default and not required for Color methods to work in iTween.
_SpecColor | The specular color of a material (used in specular/glossy/vertexlit shaders).
_Emission | The emissive color of a material (used in vertexlit shaders).
_ReflectColor | The reflection color of the material (used in reflective shaders).

## Member Function Documentation

static void MadLevelManager.MadiTween.AudioFrom | ( | GameObject | target,
|  | float | volume,
|  | float | pitch,
|  | float | time
| ) |  |
| static

Instantly changes an AudioSource's volume and pitch then returns it to it's starting volume and pitch over time with MINIMUM customization options. Default AudioSource attached to GameObject will be used (if one exists) if not supplied.

Parameters

  target | A GameObject to be the target of the animation which holds the AudioSource to be changed.
  volume | for the target level of volume. A System.Single
  pitch | for the target pitch. A System.Single
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.AudioFrom | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Instantly changes an AudioSource's volume and pitch then returns it to it's starting volume and pitch over time with FULL customization options. Default AudioSource attached to GameObject will be used (if one exists) if not supplied.

Parameters

  audiosource | A AudioSource for which AudioSource to use.
  volume | A System.Single or System.Double for the target level of volume.
  pitch | A System.Single or System.Double for the target pitch.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.AudioTo | ( | GameObject | target,
|  | float | volume,
|  | float | pitch,
|  | float | time
| ) |  |
| static

Fades volume and pitch of an AudioSource with MINIMUM customization options. Default AudioSource attached to GameObject will be used (if one exists) if not supplied.

Parameters

  target | A GameObject to be the target of the animation which holds the AudioSource to be changed.
  volume | for the target level of volume. A System.Single
  pitch | for the target pitch. A System.Single
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.AudioTo | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Fades volume and pitch of an AudioSource with FULL customization options. Default AudioSource attached to GameObject will be used (if one exists) if not supplied.

Parameters

  audiosource | A AudioSource for which AudioSource to use.
  volume | A System.Single or System.Double for the target level of volume.
  pitch | A System.Single or System.Double for the target pitch.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.AudioUpdate | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Similar to AudioTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with FULL customization options. Does not utilize an EaseType.

Parameters

  audiosource | A AudioSource for which AudioSource to use.
  volume | A System.Single or System.Double for the target level of volume.
  pitch | A System.Single or System.Double for the target pitch.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.AudioUpdate | ( | GameObject | target,
|  | float | volume,
|  | float | pitch,
|  | float | time
| ) |  |
| static

Similar to AudioTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with MINIMUM customization options. Does not utilize an EaseType.

Parameters

  target | A GameObject to be the target of the animation.
  volume | A System.Single for the target level of volume.
  pitch | A System.Single for the target pitch.
  time | A System.Single for the time in seconds the animation will take to complete.

static GameObject MadLevelManager.MadiTween.CameraFadeAdd | ( | Texture2D | texture,
|  | int | depth
| ) |  |
| static

Creates a GameObject (if it doesn't exist) at the supplied depth that can be used to simulate a camera fade.

Parameters

  texture | A Texture2D
  depth | A System.Int32

Returns
  A GameObject for a reference to the CameraFade.

static GameObject MadLevelManager.MadiTween.CameraFadeAdd | ( | Texture2D | texture | ) |
| static

Creates a GameObject (if it doesn't exist) at the default depth that can be used to simulate a camera fade.

Parameters

  texture | A Texture2D

Returns
  A GameObject for a reference to the CameraFade.

static GameObject MadLevelManager.MadiTween.CameraFadeAdd | ( |  | ) |
| static

Creates a GameObject (if it doesn't exist) at the default depth filled with black that can be used to simulate a camera fade.

Returns
  A GameObject for a reference to the CameraFade.

static void MadLevelManager.MadiTween.CameraFadeDepth | ( | int | depth | ) |
| static

Changes a camera fade's texture.

Parameters

  depth | A System.Int32

static void MadLevelManager.MadiTween.CameraFadeDestroy | ( |  | ) |
| static

Removes and destroyes a camera fade.

static void MadLevelManager.MadiTween.CameraFadeFrom | ( | float | amount,
|  | float | time
| ) |  |
| static

Instantly changes the amount(transparency) of a camera fade and then returns it back over time with MINIMUM customization options.

Parameters

  amount | A System.Single or System.Double for how transparent the Texture2D that the camera fade uses is.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.CameraFadeFrom | ( | Hashtable | args | ) |
| static

Instantly changes the amount(transparency) of a camera fade and then returns it back over time with FULL customization options.

Parameters

  amount | A System.Single or System.Double for how transparent the Texture2D that the camera fade uses is.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.CameraFadeSwap | ( | Texture2D | texture | ) |
| static

Changes a camera fade's texture.

Parameters

  texture | A Texture2D

static void MadLevelManager.MadiTween.CameraFadeTo | ( | float | amount,
|  | float | time
| ) |  |
| static

Changes the amount(transparency) of a camera fade over time with MINIMUM customization options.

Parameters

  amount | A System.Single or System.Double for how transparent the Texture2D that the camera fade uses is.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.CameraFadeTo | ( | Hashtable | args | ) |
| static

Changes the amount(transparency) of a camera fade over time with FULL customization options.

Parameters

  amount | A System.Single or System.Double for how transparent the Texture2D that the camera fade uses is.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static Texture2D MadLevelManager.MadiTween.CameraTexture | ( | Color | color | ) |
| static

Creates and returns a full-screen Texture2D for use with CameraFade.

Returns
  Texture2D

Parameters

  color | Color

static void MadLevelManager.MadiTween.ColorFrom | ( | GameObject | target,
|  | Color | color,
|  | float | time
| ) |  |
| static

Changes a GameObject's color values instantly then returns them to the provided properties over time with MINIMUM customization options. If a GUIText or GUITexture component is attached, it will become the target of the animation.

Parameters

  target | A GameObject to be the target of the animation.
  color | A Color to change the GameObject's color to.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.ColorFrom | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Changes a GameObject's color values instantly then returns them to the provided properties over time with FULL customization options. If a GUIText or GUITexture component is attached, it will become the target of the animation.

Parameters

  color | A Color to change the GameObject's color to.
  r | A System.Single or System.Double for the individual setting of the color red.
  g | A System.Single or System.Double for the individual setting of the color green.
  b | A System.Single or System.Double for the individual setting of the color green.
  a | A System.Single or System.Double for the individual setting of the alpha.
  namedcolorvalue | A NamedColorValue or System.String for the individual setting of the alpha.
  includechildren | A System.Boolean for whether or not to include children of this GameObject. True by default.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.ColorTo | ( | GameObject | target,
|  | Color | color,
|  | float | time
| ) |  |
| static

Changes a GameObject's color values over time with MINIMUM customization options. If a GUIText or GUITexture component is attached, they will become the target of the animation.

Parameters

  target | A GameObject to be the target of the animation.
  color | A Color to change the GameObject's color to.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.ColorTo | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Changes a GameObject's color values over time with FULL customization options. If a GUIText or GUITexture component is attached, they will become the target of the animation.

Parameters

  color | A Color to change the GameObject's color to.
  r | A System.Single or System.Double for the individual setting of the color red.
  g | A System.Single or System.Double for the individual setting of the color green.
  b | A System.Single or System.Double for the individual setting of the color green.
  a | A System.Single or System.Double for the individual setting of the alpha.
  namedcolorvalue | A NamedColorValue or System.String for the individual setting of the alpha.
  includechildren | A System.Boolean for whether or not to include children of this GameObject. True by default.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.ColorUpdate | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Similar to ColorTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with FULL customization options. Does not utilize an EaseType.

Parameters

  color | A Color to change the GameObject's color to.
  r | A System.Single or System.Double for the individual setting of the color red.
  g | A System.Single or System.Double for the individual setting of the color green.
  b | A System.Single or System.Double for the individual setting of the color green.
  a | A System.Single or System.Double for the individual setting of the alpha.
  namedcolorvalue | A NamedColorValue or System.String for the individual setting of the alpha.
  includechildren | A System.Boolean for whether or not to include children of this GameObject. True by default.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.ColorUpdate | ( | GameObject | target,
|  | Color | color,
|  | float | time
| ) |  |
| static

Similar to ColorTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with MINIMUM customization options. Does not utilize an EaseType.

Parameters

  target | A GameObject to be the target of the animation.
  color | A Color to change the GameObject's color to.
  time | A System.Single for the time in seconds the animation will take to complete.

static int MadLevelManager.MadiTween.Count | ( |  | ) |
| static

Count all iTweens in current scene.

static int MadLevelManager.MadiTween.Count | ( | string | type | ) |
| static

Count all iTweens in current scene of a particular type.

Parameters

  type | A System.String name of the type of iTween you would like to stop. Can be written as part of a name such as "mov" for all "MoveTo" iTweens.

static int MadLevelManager.MadiTween.Count | ( | GameObject | target | ) |
| static

Count all iTweens on a GameObject.

static int MadLevelManager.MadiTween.Count | ( | GameObject | target,
|  | string | type
| ) |  |
| static

Count all iTweens on a GameObject of a particular type.

Parameters

  type | A System.String name of the type of iTween you would like to count. Can be written as part of a name such as "mov" for all "MoveTo" iTweens.

static void MadLevelManager.MadiTween.DrawLine | ( | Vector3[] | line | ) |
| static

When called from an OnDrawGizmos() function it will draw a line through the provided array of Vector3s.

Parameters

  line | A Vector3s[]

static void MadLevelManager.MadiTween.DrawLine | ( | Vector3[] | line,
|  | Color | color
| ) |  |
| static

When called from an OnDrawGizmos() function it will draw a line through the provided array of Vector3s.

Parameters

  line | A Vector3s[]
  color | A Color

static void MadLevelManager.MadiTween.DrawLine | ( | Transform[] | line | ) |
| static

When called from an OnDrawGizmos() function it will draw a line through the provided array of Transforms.

Parameters

  line | A Transform[]

static void MadLevelManager.MadiTween.DrawLine | ( | Transform[] | line,
|  | Color | color
| ) |  |
| static

When called from an OnDrawGizmos() function it will draw a line through the provided array of Transforms.

Parameters

  line | A Transform[]
  color | A Color

static void MadLevelManager.MadiTween.DrawLineGizmos | ( | Vector3[] | line | ) |
| static

Draws a line through the provided array of Vector3s with Gizmos.DrawLine().

Parameters

  line | A Vector3s[]

static void MadLevelManager.MadiTween.DrawLineGizmos | ( | Vector3[] | line,
|  | Color | color
| ) |  |
| static

Draws a line through the provided array of Vector3s with Gizmos.DrawLine().

Parameters

  line | A Vector3s[]
  color | A Color

static void MadLevelManager.MadiTween.DrawLineGizmos | ( | Transform[] | line | ) |
| static

Draws a line through the provided array of Transforms with Gizmos.DrawLine().

Parameters

  line | A Transform[]

static void MadLevelManager.MadiTween.DrawLineGizmos | ( | Transform[] | line,
|  | Color | color
| ) |  |
| static

Draws a line through the provided array of Transforms with Gizmos.DrawLine().

Parameters

  line | A Transform[]
  color | A Color

static void MadLevelManager.MadiTween.DrawLineHandles | ( | Vector3[] | line | ) |
| static

Draws a line through the provided array of Vector3s with Handles.DrawLine().

Parameters

  line | A Vector3s[]

static void MadLevelManager.MadiTween.DrawLineHandles | ( | Vector3[] | line,
|  | Color | color
| ) |  |
| static

Draws a line through the provided array of Vector3s with Handles.DrawLine().

Parameters

  line | A Vector3s[]
  color | A Color

static void MadLevelManager.MadiTween.DrawLineHandles | ( | Transform[] | line | ) |
| static

Draws a line through the provided array of Transforms with Handles.DrawLine().

Parameters

  line | A Transform[]

static void MadLevelManager.MadiTween.DrawLineHandles | ( | Transform[] | line,
|  | Color | color
| ) |  |
| static

Draws a line through the provided array of Transforms with Handles.DrawLine().

Parameters

  line | A Transform[]
  color | A Color

static void MadLevelManager.MadiTween.DrawPath | ( | Vector3[] | path | ) |
| static

When called from an OnDrawGizmos() function it will draw a curved path through the provided array of Vector3s.

Parameters

  path | A Vector3s[]

static void MadLevelManager.MadiTween.DrawPath | ( | Vector3[] | path,
|  | Color | color
| ) |  |
| static

When called from an OnDrawGizmos() function it will draw a curved path through the provided array of Vector3s.

Parameters

  path | A Vector3s[]
  color | A Color

static void MadLevelManager.MadiTween.DrawPath | ( | Transform[] | path | ) |
| static

When called from an OnDrawGizmos() function it will draw a curved path through the provided array of Transforms.

Parameters

  path | A Transform[]

static void MadLevelManager.MadiTween.DrawPath | ( | Transform[] | path,
|  | Color | color
| ) |  |
| static

When called from an OnDrawGizmos() function it will draw a curved path through the provided array of Transforms.

Parameters

  path | A Transform[]
  color | A Color

static void MadLevelManager.MadiTween.DrawPathGizmos | ( | Vector3[] | path | ) |
| static

Draws a curved path through the provided array of Vector3s with Gizmos.DrawLine().

Parameters

  path | A Vector3s[]

static void MadLevelManager.MadiTween.DrawPathGizmos | ( | Vector3[] | path,
|  | Color | color
| ) |  |
| static

Draws a curved path through the provided array of Vector3s with Gizmos.DrawLine().

Parameters

  path | A Vector3s[]
  color | A Color

static void MadLevelManager.MadiTween.DrawPathGizmos | ( | Transform[] | path | ) |
| static

Draws a curved path through the provided array of Transforms with Gizmos.DrawLine().

Parameters

  path | A Transform[]

static void MadLevelManager.MadiTween.DrawPathGizmos | ( | Transform[] | path,
|  | Color | color
| ) |  |
| static

Draws a curved path through the provided array of Transforms with Gizmos.DrawLine().

Parameters

  path | A Transform[]
  color | A Color

static void MadLevelManager.MadiTween.DrawPathHandles | ( | Vector3[] | path | ) |
| static

Draws a curved path through the provided array of Vector3s with Handles.DrawLine().

Parameters

  path | A Vector3s[]

static void MadLevelManager.MadiTween.DrawPathHandles | ( | Vector3[] | path,
|  | Color | color
| ) |  |
| static

Draws a curved path through the provided array of Vector3s with Handles.DrawLine().

Parameters

  path | A Vector3s[]
  color | A Color

static void MadLevelManager.MadiTween.DrawPathHandles | ( | Transform[] | path | ) |
| static

Draws a curved path through the provided array of Transforms with Handles.DrawLine().

Parameters

  path | A Transform[]

static void MadLevelManager.MadiTween.DrawPathHandles | ( | Transform[] | path,
|  | Color | color
| ) |  |
| static

Draws a curved path through the provided array of Transforms with Handles.DrawLine().

Parameters

  path | A Transform[]
  color | A Color

static void MadLevelManager.MadiTween.FadeFrom | ( | GameObject | target,
|  | float | alpha,
|  | float | time
| ) |  |
| static

Changes a GameObject's alpha value instantly then returns it to the provided alpha over time with MINIMUM customization options. If a GUIText or GUITexture component is attached, it will become the target of the animation. Identical to using ColorFrom and using the "a" parameter.

Parameters

  target | A GameObject to be the target of the animation.
  alpha | A System.Single for the final alpha value of the animation.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.FadeFrom | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Changes a GameObject's alpha value instantly then returns it to the provided alpha over time with FULL customization options. If a GUIText or GUITexture component is attached, it will become the target of the animation. Identical to using ColorFrom and using the "a" parameter.

Parameters

  alpha | A System.Single or System.Double for the initial alpha value of the animation.
  amount | A System.Single or System.Double for the initial alpha value of the animation.
  includechildren | A System.Boolean for whether or not to include children of this GameObject. True by default.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.FadeTo | ( | GameObject | target,
|  | float | alpha,
|  | float | time
| ) |  |
| static

Changes a GameObject's alpha value over time with MINIMUM customization options. If a GUIText or GUITexture component is attached, it will become the target of the animation. Identical to using ColorTo and using the "a" parameter.

Parameters

  target | A GameObject to be the target of the animation.
  alpha | A System.Single for the final alpha value of the animation.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.FadeTo | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Changes a GameObject's alpha value over time with FULL customization options. If a GUIText or GUITexture component is attached, it will become the target of the animation. Identical to using ColorTo and using the "a" parameter.

Parameters

  alpha | A System.Single or System.Double for the final alpha value of the animation.
  amount | A System.Single or System.Double for the final alpha value of the animation.
  includechildren | A System.Boolean for whether or not to include children of this GameObject. True by default.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.FadeUpdate | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Similar to FadeTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with FULL customization options. Does not utilize an EaseType.

Parameters

  alpha | A System.Single or System.Double for the final alpha value of the animation.
  includechildren | A System.Boolean for whether or not to include children of this GameObject. True by default.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.FadeUpdate | ( | GameObject | target,
|  | float | alpha,
|  | float | time
| ) |  |
| static

Similar to FadeTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with MINIMUM customization options. Does not utilize an EaseType.

Parameters

  target | A GameObject to be the target of the animation.
  alpha | A System.Single for the final alpha value of the animation.
  time | A System.Single for the time in seconds the animation will take to complete.

static float MadLevelManager.MadiTween.FloatUpdate | ( | float | currentValue,
|  | float | targetValue,
|  | float | speed
| ) |  |
| static

Returns a float that is eased between a current and target value by the supplied speed.

Returns
  A System.Single

Parameters

  currentValue | A System.Single the starting or initial value
  targetValue | A System.Single the target value that the current value will be eased to.
  speed | A System.Single to be used as rate of speed (larger number equals faster animation)

static Hashtable MadLevelManager.MadiTween.Hash | ( | params object[] | args | ) |
| static

Universal interface to help in the creation of Hashtables. Especially useful for C# users.

Parameters

  args | A System.Object[] of alternating name value pairs. For example "time",1,"delay",2...

Returns
  A Hashtable

static void MadLevelManager.MadiTween.Init | ( | GameObject | target | ) |
| static

Sets up a GameObject to avoid hiccups when an initial iTween is added. It's advisable to run this on every object you intend to run iTween on in its Start or Awake.

Parameters

  target | A GameObject to be the target to be initialized for iTween.

static void MadLevelManager.MadiTween.LookFrom | ( | GameObject | target,
|  | Vector3 | looktarget,
|  | float | time
| ) |  |
| static

Instantly rotates a GameObject to look at the supplied Vector3 then returns it to it's starting rotation over time with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  looktarget | A Vector3 to be the Vector3 that the target will look towards.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.LookFrom | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Instantly rotates a GameObject to look at a supplied Transform or Vector3 then returns it to it's starting rotation over time with FULL customization options.

Parameters

  looktarget | A Transform or Vector3 for a target the GameObject will look at.
  axis | A System.String. Restricts rotation to the supplied axis only.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  speed | A System.Single or System.Double can be used instead of time to allow animation based on speed
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.LookTo | ( | GameObject | target,
|  | Vector3 | looktarget,
|  | float | time
| ) |  |
| static

Rotates a GameObject to look at the supplied Vector3 over time with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  looktarget | A Vector3 to be the Vector3 that the target will look towards.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.LookTo | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Rotates a GameObject to look at a supplied Transform or Vector3 over time with FULL customization options.

Parameters

  looktarget | A Transform or Vector3 for a target the GameObject will look at.
  axis | A System.String. Restricts rotation to the supplied axis only.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  speed | A System.Single or System.Double can be used instead of time to allow animation based on speed
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.LookUpdate | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Similar to LookTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with FULL customization options. Does not utilize an EaseType.

Parameters

  looktarget | A Transform or Vector3 for a target the GameObject will look at.
  axis | A System.String. Restricts rotation to the supplied axis only.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.LookUpdate | ( | GameObject | target,
|  | Vector3 | looktarget,
|  | float | time
| ) |  |
| static

Similar to LookTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with FULL customization options. Does not utilize an EaseType.

Parameters

  target | A GameObject to be the target of the animation.
  looktarget | A Vector3 for a target the GameObject will look at.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.MoveAdd | ( | GameObject | target,
|  | Vector3 | amount,
|  | float | time
| ) |  |
| static

Translates a GameObject's position over time with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  amount | A Vector3 for the amount of change in position to move the GameObject.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.MoveAdd | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Translates a GameObject's position over time with FULL customization options.

Parameters

  amount | A Vector3 for the amount of change in position to move the GameObject.
  x | A System.Single or System.Double for the individual setting of the x axis.
  y | A System.Single or System.Double for the individual setting of the y axis.
  z | A System.Single or System.Double for the individual setting of the z axis.
  orienttopath | A System.Boolean for whether or not the GameObject will orient to its direction of travel. False by default.
  looktarget | A Vector3 or A Transform for a target the GameObject will look at.
  looktime | A System.Single or System.Double for the time in seconds the object will take to look at either the "looktarget" or "orienttopath".
  axis | A System.String. Restricts rotation to the supplied axis only.
  space | A UnityEngine.Space or System.String for applying the transformation in either the world coordinate or local cordinate system. Defaults to local space.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  speed | A System.Single or System.Double can be used instead of time to allow animation based on speed
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.MoveBy | ( | GameObject | target,
|  | Vector3 | amount,
|  | float | time
| ) |  |
| static

Adds the supplied coordinates to a GameObject's postion with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  amount | A Vector3 for the amount of change in position to move the GameObject.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.MoveBy | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Adds the supplied coordinates to a GameObject's position with FULL customization options.

Parameters

  amount | A Vector3 for the amount of change in position to move the GameObject.
  x | A System.Single or System.Double for the individual setting of the x axis.
  y | A System.Single or System.Double for the individual setting of the y axis.
  z | A System.Single or System.Double for the individual setting of the z axis.
  orienttopath | A System.Boolean for whether or not the GameObject will orient to its direction of travel. False by default.
  looktarget | A Vector3 or A Transform for a target the GameObject will look at.
  looktime | A System.Single or System.Double for the time in seconds the object will take to look at either the "looktarget" or "orienttopath".
  axis | A System.String. Restricts rotation to the supplied axis only.
  space | A UnityEngine.Space or System.String for applying the transformation in either the world coordinate or local cordinate system. Defaults to local space.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  speed | A System.Single or System.Double can be used instead of time to allow animation based on speed
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.MoveFrom | ( | GameObject | target,
|  | Vector3 | position,
|  | float | time
| ) |  |
| static

Instantly changes a GameObject's position to a supplied destination then returns it to it's starting position over time with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  position | A Vector3 for the destination Vector3.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.MoveFrom | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Instantly changes a GameObject's position to a supplied destination then returns it to it's starting position over time with FULL customization options.

Parameters

  position | A Transform or Vector3 for a point in space the GameObject will animate to.
  path | A Transform[] or Vector3[] for a list of points to draw a Catmull-Rom through for a curved animation path.
  movetopath | A System.Boolean for whether to automatically generate a curve from the GameObject's current position to the beginning of the path. True by default.
  x | A System.Single or System.Double for the individual setting of the x axis.
  y | A System.Single or System.Double for the individual setting of the y axis.
  z | A System.Single or System.Double for the individual setting of the z axis.
  orienttopath | A System.Boolean for whether or not the GameObject will orient to its direction of travel. False by default.
  looktarget | A Vector3 or A Transform for a target the GameObject will look at.
  looktime | A System.Single or System.Double for the time in seconds the object will take to look at either the "looktarget" or "orienttopath".
  lookahead | A System.Single or System.Double for how much of a percentage to look ahead on a path to influence how strict "orientopath" is.
  islocal | A System.Boolean for whether to animate in world space or relative to the parent. False by default.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  speed | A System.Single or System.Double can be used instead of time to allow animation based on speed
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.MoveTo | ( | GameObject | target,
|  | Vector3 | position,
|  | float | time
| ) |  |
| static

Changes a GameObject's position over time to a supplied destination with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  position | A Vector3 for the destination Vector3.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.MoveTo | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Changes a GameObject's position over time to a supplied destination with FULL customization options.

Parameters

  position | A Transform or Vector3 for a point in space the GameObject will animate to.
  path | A Transform[] or Vector3[] for a list of points to draw a Catmull-Rom through for a curved animation path.
  movetopath | A System.Boolean for whether to automatically generate a curve from the GameObject's current position to the beginning of the path. True by default.
  x | A System.Single or System.Double for the individual setting of the x axis.
  y | A System.Single or System.Double for the individual setting of the y axis.
  z | A System.Single or System.Double for the individual setting of the z axis.
  orienttopath | A System.Boolean for whether or not the GameObject will orient to its direction of travel. False by default.
  looktarget | A Vector3 or A Transform for a target the GameObject will look at.
  looktime | A System.Single or System.Double for the time in seconds the object will take to look at either the "looktarget" or "orienttopath".
  lookahead | A System.Single or System.Double for how much of a percentage to look ahead on a path to influence how strict "orientopath" is.
  axis | A System.String. Restricts rotation to the supplied axis only.
  islocal | A System.Boolean for whether to animate in world space or relative to the parent. False by default.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  speed | A System.Single or System.Double can be used instead of time to allow animation based on speed
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.MoveUpdate | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Similar to MoveTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with FULL customization options. Does not utilize an EaseType.

Parameters

  position | A Transform or Vector3 for a point in space the GameObject will animate to.
  x | A System.Single or System.Double for the individual setting of the x axis.
  y | A System.Single or System.Double for the individual setting of the y axis.
  z | A System.Single or System.Double for the individual setting of the z axis.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  islocal | A System.Boolean for whether to animate in world space or relative to the parent. False by default.
  orienttopath | A System.Boolean for whether or not the GameObject will orient to its direction of travel. False by default.
  looktarget | A Vector3 or A Transform for a target the GameObject will look at.
  looktime | A System.Single or System.Double for the time in seconds the object will take to look at either the "looktarget" or "orienttopath".
  axis | A System.String. Restricts rotation to the supplied axis only.

static void MadLevelManager.MadiTween.MoveUpdate | ( | GameObject | target,
|  | Vector3 | position,
|  | float | time
| ) |  |
| static

Similar to MoveTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with MINIMUM customization options. Does not utilize an EaseType.

Parameters

  target | A GameObject to be the target of the animation.
  position | A Vector3 for a point in space the GameObject will animate to.
  time | A System.Single for the time in seconds the animation will take to complete.

static float MadLevelManager.MadiTween.PathLength | ( | Transform[] | path | ) |
| static

Returns the length of a curved path drawn through the provided array of Transforms.

Returns
  A System.Single

Parameters

  path | A Transform[]

static float MadLevelManager.MadiTween.PathLength | ( | Vector3[] | path | ) |
| static

Returns the length of a curved path drawn through the provided array of Vector3s.

Returns
  The length.

Parameters

  path | A Vector3[]

static void MadLevelManager.MadiTween.Pause | ( | GameObject | target | ) |
| static

Pause all iTweens on a GameObject.

static void MadLevelManager.MadiTween.Pause | ( | GameObject | target,
|  | bool | includechildren
| ) |  |
| static

Pause all iTweens on a GameObject including its children.

static void MadLevelManager.MadiTween.Pause | ( |  | ) |
| static

Pause all iTweens in scene.

static void MadLevelManager.MadiTween.Pause | ( | string | type | ) |
| static

Pause all iTweens in scene of a particular type.

Parameters

  type | A System.String name of the type of iTween you would like to pause. Can be written as part of a name such as "mov" for all "MoveTo" iTweens.

static Vector3 MadLevelManager.MadiTween.PointOnPath | ( | Transform[] | path,
|  | float | percent
| ) |  |
| static

Returns a Vector3 position on a path at the provided percentage

Parameters

  path | A Transform[]
  percent | A System.Single

Returns
  A Vector3

static Vector3 MadLevelManager.MadiTween.PointOnPath | ( | Vector3[] | path,
|  | float | percent
| ) |  |
| static

Returns a Vector3 position on a path at the provided percentage

Parameters

  path | A Vector3[]
  percent | A System.Single

Returns
  A Vector3

static void MadLevelManager.MadiTween.PunchPosition | ( | GameObject | target,
|  | Vector3 | amount,
|  | float | time
| ) |  |
| static

Applies a jolt of force to a GameObject's position and wobbles it back to its initial position with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  amount | A Vector3 for the magnitude of the punch.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.PunchPosition | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Applies a jolt of force to a GameObject's position and wobbles it back to its initial position with FULL customization options.

Parameters

  amount | A Vector3 for the magnitude of shake.
  x | A System.Single or System.Double for the individual setting of the x magnitude.
  y | A System.Single or System.Double for the individual setting of the y magnitude.
  z | A System.Single or System.Double for the individual setting of the z magnitude.
  space | A UnityEngine.Space for applying the transformation in either the world coordinate or local cordinate system. Defaults to local space.
  looktarget | A Vector3 or A Transform for a target the GameObject will look at.
  looktime | A System.Single or System.Double for the time in seconds the object will take to look at either the "looktarget".
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed. (only "loop" is allowed with punches)
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.PunchRotation | ( | GameObject | target,
|  | Vector3 | amount,
|  | float | time
| ) |  |
| static

Applies a jolt of force to a GameObject's rotation and wobbles it back to its initial rotation with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  amount | A Vector3 for the magnitude of the punch.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.PunchRotation | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Applies a jolt of force to a GameObject's rotation and wobbles it back to its initial rotation with FULL customization options.

Parameters

  amount | A Vector3 for the magnitude of shake.
  x | A System.Single or System.Double for the individual setting of the x magnitude.
  y | A System.Single or System.Double for the individual setting of the y magnitude.
  z | A System.Single or System.Double for the individual setting of the z magnitude.
  space | A UnityEngine.Space for applying the transformation in either the world coordinate or local cordinate system. Defaults to local space.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed. (only "loop" is allowed with punches)
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.PunchScale | ( | GameObject | target,
|  | Vector3 | amount,
|  | float | time
| ) |  |
| static

Applies a jolt of force to a GameObject's scale and wobbles it back to its initial scale with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  amount | A Vector3 for the magnitude of the punch.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.PunchScale | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Applies a jolt of force to a GameObject's scale and wobbles it back to its initial scale with FULL customization options.

Parameters

  amount | A Vector3 for the magnitude of shake.
  x | A System.Single or System.Double for the individual setting of the x magnitude.
  y | A System.Single or System.Double for the individual setting of the y magnitude.
  z | A System.Single or System.Double for the individual setting of the z magnitude.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed. (only "loop" is allowed with punches)
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.PutOnPath | ( | GameObject | target,
|  | Vector3[] | path,
|  | float | percent
| ) |  |
| static

Puts a GameObject on a path at the provided percentage

Parameters

  target | A GameObject
  path | A Vector3[]
  percent | A System.Single

static void MadLevelManager.MadiTween.PutOnPath | ( | Transform | target,
|  | Vector3[] | path,
|  | float | percent
| ) |  |
| static

Puts a GameObject on a path at the provided percentage

Parameters

  target | A Transform
  path | A Vector3[]
  percent | A System.Single

static void MadLevelManager.MadiTween.PutOnPath | ( | GameObject | target,
|  | Transform[] | path,
|  | float | percent
| ) |  |
| static

Puts a GameObject on a path at the provided percentage

Parameters

  target | A GameObject
  path | A Transform[]
  percent | A System.Single

static void MadLevelManager.MadiTween.PutOnPath | ( | Transform | target,
|  | Transform[] | path,
|  | float | percent
| ) |  |
| static

Puts a GameObject on a path at the provided percentage

Parameters

  target | A Transform
  path | A Transform[]
  percent | A System.Single

static Rect MadLevelManager.MadiTween.RectUpdate | ( | Rect | currentValue,
|  | Rect | targetValue,
|  | float | speed
| ) |  |
| static

Returns a Rect that is eased between a current and target value by the supplied speed.

Returns
  A <see cref="Rect"/

Parameters

  currentValue | A Rect the starting or initial value
  targetValue | A Rect the target value that the current value will be eased to.
  speed | A System.Single to be used as rate of speed (larger number equals faster animation)

static void MadLevelManager.MadiTween.Resume | ( | GameObject | target | ) |
| static

Resume all iTweens on a GameObject.

static void MadLevelManager.MadiTween.Resume | ( | GameObject | target,
|  | bool | includechildren
| ) |  |
| static

Resume all iTweens on a GameObject including its children.

static void MadLevelManager.MadiTween.Resume | ( |  | ) |
| static

Resume all iTweens in scene.

static void MadLevelManager.MadiTween.Resume | ( | string | type | ) |
| static

Resume all iTweens in scene of a particular type.

Parameters

  type | A System.String name of the type of iTween you would like to resume. Can be written as part of a name such as "mov" for all "MoveTo" iTweens.

static void MadLevelManager.MadiTween.RotateAdd | ( | GameObject | target,
|  | Vector3 | amount,
|  | float | time
| ) |  |
| static

Adds supplied Euler angles in degrees to a GameObject's rotation over time with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  amount | A Vector3 for the amount of Euler angles in degrees to add to the current rotation of the GameObject.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.RotateAdd | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Adds supplied Euler angles in degrees to a GameObject's rotation over time with FULL customization options.

Parameters

  amount | A Vector3 for the amount of Euler angles in degrees to add to the current rotation of the GameObject.
  x | A System.Single or System.Double for the individual setting of the x axis.
  y | A System.Single or System.Double for the individual setting of the y axis.
  z | A System.Single or System.Double for the individual setting of the z axis.
  space | A UnityEngine.Space or System.String for applying the transformation in either the world coordinate or local cordinate system. Defaults to local space.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  speed | A System.Single or System.Double can be used instead of time to allow animation based on speed
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.RotateBy | ( | GameObject | target,
|  | Vector3 | amount,
|  | float | time
| ) |  |
| static

Multiplies supplied values by 360 and rotates a GameObject by calculated amount over time with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  amount | A Vector3 for the amount to be multiplied by 360 to rotate the GameObject.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.RotateBy | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Multiplies supplied values by 360 and rotates a GameObject by calculated amount over time with FULL customization options.

Parameters

  amount | A Vector3 for the amount to be multiplied by 360 to rotate the GameObject.
  x | A System.Single or System.Double for the individual setting of the x axis.
  y | A System.Single or System.Double for the individual setting of the y axis.
  z | A System.Single or System.Double for the individual setting of the z axis.
  space | A UnityEngine.Space or System.String for applying the transformation in either the world coordinate or local cordinate system. Defaults to local space.
  islocal | A System.Boolean for whether to animate in world space or relative to the parent. False by default.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  speed | A System.Single or System.Double can be used instead of time to allow animation based on speed
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.RotateFrom | ( | GameObject | target,
|  | Vector3 | rotation,
|  | float | time
| ) |  |
| static

Instantly changes a GameObject's Euler angles in degrees then returns it to it's starting rotation over time (if allowed) with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  rotation | A Vector3 for the target Euler angles in degrees to rotate from.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.RotateFrom | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Instantly changes a GameObject's Euler angles in degrees then returns it to it's starting rotation over time (if allowed) with FULL customization options.

Parameters

  rotation | A Transform or Vector3 for the target Euler angles in degrees to rotate to.
  x | A System.Single or System.Double for the individual setting of the x axis.
  y | A System.Single or System.Double for the individual setting of the y axis.
  z | A System.Single or System.Double for the individual setting of the z axis.
  islocal | A System.Boolean for whether to animate in world space or relative to the parent. False by default.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  speed | A System.Single or System.Double can be used instead of time to allow animation based on speed
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.RotateTo | ( | GameObject | target,
|  | Vector3 | rotation,
|  | float | time
| ) |  |
| static

Rotates a GameObject to the supplied Euler angles in degrees over time with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  rotation | A Vector3 for the target Euler angles in degrees to rotate to.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.RotateTo | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Rotates a GameObject to the supplied Euler angles in degrees over time with FULL customization options.

Parameters

  rotation | A Transform or Vector3 for the target Euler angles in degrees to rotate to.
  x | A System.Single or System.Double for the individual setting of the x axis.
  y | A System.Single or System.Double for the individual setting of the y axis.
  z | A System.Single or System.Double for the individual setting of the z axis.
  islocal | A System.Boolean for whether to animate in world space or relative to the parent. False by default.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  speed | A System.Single or System.Double can be used instead of time to allow animation based on speed
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.RotateUpdate | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Similar to RotateTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with FULL customization options. Does not utilize an EaseType.

Parameters

  rotation | A Transform or Vector3 for the target Euler angles in degrees to rotate to.
  x | A System.Single or System.Double for the individual setting of the x axis.
  y | A System.Single or System.Double for the individual setting of the y axis.
  z | A System.Single or System.Double for the individual setting of the z axis.
  islocal | A System.Boolean for whether to animate in world space or relative to the parent. False by default.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.RotateUpdate | ( | GameObject | target,
|  | Vector3 | rotation,
|  | float | time
| ) |  |
| static

Similar to RotateTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with MINIMUM customization options. Does not utilize an EaseType.

Parameters

  target | A GameObject to be the target of the animation.
  rotation | A Vector3 for the target Euler angles in degrees to rotate to.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.ScaleAdd | ( | GameObject | target,
|  | Vector3 | amount,
|  | float | time
| ) |  |
| static

Adds to a GameObject's scale over time with FULL customization options.

Parameters

  target | A GameObject to be the target of the animation.
  amount | A Vector3 for the amount of scale to be added to the GameObject's current scale.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.ScaleAdd | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Adds to a GameObject's scale over time with FULL customization options.

Parameters

  amount | A Vector3 for the amount to be added to the GameObject's current scale.
  x | A System.Single or System.Double for the individual setting of the x axis.
  y | A System.Single or System.Double for the individual setting of the y axis.
  z | A System.Single or System.Double for the individual setting of the z axis.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  speed | A System.Single or System.Double can be used instead of time to allow animation based on speed
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.ScaleBy | ( | GameObject | target,
|  | Vector3 | amount,
|  | float | time
| ) |  |
| static

Multiplies a GameObject's scale over time with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  amount | A Vector3 for the amount of scale to be multiplied by the GameObject's current scale.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.ScaleBy | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Multiplies a GameObject's scale over time with FULL customization options.

Parameters

  amount | A Vector3 for the amount to be multiplied to the GameObject's current scale.
  x | A System.Single or System.Double for the individual setting of the x axis.
  y | A System.Single or System.Double for the individual setting of the y axis.
  z | A System.Single or System.Double for the individual setting of the z axis.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  speed | A System.Single or System.Double can be used instead of time to allow animation based on speed
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.ScaleFrom | ( | GameObject | target,
|  | Vector3 | scale,
|  | float | time
| ) |  |
| static

Instantly changes a GameObject's scale then returns it to it's starting scale over time with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  scale | A Vector3 for the final scale.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.ScaleFrom | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Instantly changes a GameObject's scale then returns it to it's starting scale over time with FULL customization options.

Parameters

  scale | A Transform or Vector3 for the final scale.
  x | A System.Single or System.Double for the individual setting of the x axis.
  y | A System.Single or System.Double for the individual setting of the y axis.
  z | A System.Single or System.Double for the individual setting of the z axis.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  speed | A System.Single or System.Double can be used instead of time to allow animation based on speed
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.ScaleTo | ( | GameObject | target,
|  | Vector3 | scale,
|  | float | time
| ) |  |
| static

Changes a GameObject's scale over time with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  scale | A Vector3 for the final scale.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.ScaleTo | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Changes a GameObject's scale over time with FULL customization options.

Parameters

  scale | A Transform or Vector3 for the final scale.
  x | A System.Single or System.Double for the individual setting of the x axis.
  y | A System.Single or System.Double for the individual setting of the y axis.
  z | A System.Single or System.Double for the individual setting of the z axis.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  speed | A System.Single or System.Double can be used instead of time to allow animation based on speed
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.ScaleUpdate | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Similar to ScaleTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with FULL customization options. Does not utilize an EaseType.

Parameters

  scale | A Transform or Vector3 for the final scale.
  x | A System.Single or System.Double for the individual setting of the x axis.
  y | A System.Single or System.Double for the individual setting of the y axis.
  z | A System.Single or System.Double for the individual setting of the z axis.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.ScaleUpdate | ( | GameObject | target,
|  | Vector3 | scale,
|  | float | time
| ) |  |
| static

Similar to ScaleTo but incredibly less expensive for usage inside the Update function or similar looping situations involving a "live" set of changing values with MINIMUM customization options. Does not utilize an EaseType.

Parameters

  target | A GameObject to be the target of the animation.
  scale | A Vector3 for the final scale.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.ShakePosition | ( | GameObject | target,
|  | Vector3 | amount,
|  | float | time
| ) |  |
| static

Randomly shakes a GameObject's position by a diminishing amount over time with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  amount | A Vector3 for the magnitude of shake.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.ShakePosition | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Randomly shakes a GameObject's position by a diminishing amount over time with FULL customization options.

Parameters

  amount | A Vector3 for the magnitude of shake.
  x | A System.Single or System.Double for the individual setting of the x magnitude.
  y | A System.Single or System.Double for the individual setting of the y magnitude.
  z | A System.Single or System.Double for the individual setting of the z magnitude.
  islocal | A System.Boolean for whether to animate in world space or relative to the parent. False by default.
  orienttopath | A System.Boolean for whether or not the GameObject will orient to its direction of travel. False by default.
  looktarget | A Vector3 or A Transform for a target the GameObject will look at.
  looktime | A System.Single or System.Double for the time in seconds the object will take to look at either the "looktarget" or "orienttopath".
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed. (only "loop" is allowed with shakes)
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.ShakeRotation | ( | GameObject | target,
|  | Vector3 | amount,
|  | float | time
| ) |  |
| static

Randomly shakes a GameObject's rotation by a diminishing amount over time with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  amount | A Vector3 for the magnitude of shake.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.ShakeRotation | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Randomly shakes a GameObject's rotation by a diminishing amount over time with FULL customization options.

Parameters

  amount | A Vector3 for the magnitude of shake.
  x | A System.Single or System.Double for the individual setting of the x magnitude.
  y | A System.Single or System.Double for the individual setting of the y magnitude.
  z | A System.Single or System.Double for the individual setting of the z magnitude.
  space | A UnityEngine.Space for applying the transformation in either the world coordinate or local cordinate system. Defaults to local space.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed. (only "loop" is allowed with shakes)
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.ShakeScale | ( | GameObject | target,
|  | Vector3 | amount,
|  | float | time
| ) |  |
| static

Randomly shakes a GameObject's scale by a diminishing amount over time with MINIMUM customization options.

Parameters

  target | A GameObject to be the target of the animation.
  amount | A Vector3 for the magnitude of shake.
  time | A System.Single for the time in seconds the animation will take to complete.

static void MadLevelManager.MadiTween.ShakeScale | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Randomly shakes a GameObject's scale by a diminishing amount over time with FULL customization options.

Parameters

  amount | A Vector3 for the magnitude of shake.
  x | A System.Single or System.Double for the individual setting of the x magnitude.
  y | A System.Single or System.Double for the individual setting of the y magnitude.
  z | A System.Single or System.Double for the individual setting of the z magnitude.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed. (only "loop" is allowed with shakes)
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.Stab | ( | GameObject | target,
|  | AudioClip | audioclip,
|  | float | delay
| ) |  |
| static

Plays an AudioClip once based on supplied volume and pitch and following any delay with MINIMUM customization options. AudioSource is optional as iTween will provide one.

Parameters

  target | A GameObject to be the target of the animation which holds the AudioSource to be utilized.
  audioclip | A AudioClip for a reference to the AudioClip to be played.
  delay | A System.Single for the time in seconds the action will wait before beginning.

static void MadLevelManager.MadiTween.Stab | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Plays an AudioClip once based on supplied volume and pitch and following any delay with FULL customization options. AudioSource is optional as iTween will provide one.

Parameters

  audioclip | A AudioClip for a reference to the AudioClip to be played.
  audiosource | A AudioSource for which AudioSource to use
  volume | A System.Single or System.Double for the target level of volume.
  pitch | A System.Single or System.Double for the target pitch.
  delay | A System.Single or System.Double for the time in seconds the action will wait before beginning.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static void MadLevelManager.MadiTween.Stop | ( |  | ) |
| static

Stop and destroy all Tweens in current scene.

static void MadLevelManager.MadiTween.Stop | ( | string | type | ) |
| static

Stop and destroy all iTweens in current scene of a particular type.

Parameters

  type | A System.String name of the type of iTween you would like to stop. Can be written as part of a name such as "mov" for all "MoveTo" iTweens.

static void MadLevelManager.MadiTween.Stop | ( | GameObject | target | ) |
| static

Stop and destroy all iTweens on a GameObject.

static void MadLevelManager.MadiTween.Stop | ( | GameObject | target,
|  | bool | includechildren
| ) |  |
| static

Stop and destroy all iTweens on a GameObject including its children.

static void MadLevelManager.MadiTween.StopByName | ( | string | name | ) |
| static

Stop and destroy all iTweens in current scene of a particular name.

Parameters

  name | The System.String name of iTween you would like to stop.

static void MadLevelManager.MadiTween.ValueTo | ( | GameObject | target,
|  | Hashtable | args
| ) |  |
| static

Returns a value to an 'oncallback' method interpolated between the supplied 'from' and 'to' values for application as desired. Requires an 'onupdate' callback that accepts the same type as the supplied 'from' and 'to' properties.

Parameters

  from | A System.Single or System.Double or Vector3 or Vector2 or Color or Rect for the starting value.
  to | A System.Single or System.Double or Vector3 or Vector2 or Color or Rect for the ending value.
  time | A System.Single or System.Double for the time in seconds the animation will take to complete.
  speed | A System.Single or System.Double can be used instead of time to allow animation based on speed (only works with Vector2, Vector3, and Floats)
  delay | A System.Single or System.Double for the time in seconds the animation will wait before beginning.
  easetype | A EaseType or System.String for the shape of the easing curve applied to the animation.
  looptype | A LoopType or System.String for the type of loop to apply once the animation has completed.
  onstart | A System.String for the name of a function to launch at the beginning of the animation.
  onstarttarget | A GameObject for a reference to the GameObject that holds the "onstart" method.
  onstartparams | A System.Object for arguments to be sent to the "onstart" method.
  onupdate | A System.String for the name of a function to launch on every step of the animation.
  onupdatetarget | A GameObject for a reference to the GameObject that holds the "onupdate" method.
  onupdateparams | A System.Object for arguments to be sent to the "onupdate" method.
  oncomplete | A System.String for the name of a function to launch at the end of the animation.
  oncompletetarget | A GameObject for a reference to the GameObject that holds the "oncomplete" method.
  oncompleteparams | A System.Object for arguments to be sent to the "oncomplete" method.

static Vector2 MadLevelManager.MadiTween.Vector2Update | ( | Vector2 | currentValue,
|  | Vector2 | targetValue,
|  | float | speed
| ) |  |
| static

Returns a Vector2 that is eased between a current and target value by the supplied speed.

Returns
  A Vector2

Parameters

  currentValue | A Vector2 the starting or initial value
  targetValue | A Vector2 the target value that the current value will be eased to.
  speed | A System.Single to be used as rate of speed (larger number equals faster animation)

static Vector3 MadLevelManager.MadiTween.Vector3Update | ( | Vector3 | currentValue,
|  | Vector3 | targetValue,
|  | float | speed
| ) |  |
| static

Returns a Vector3 that is eased between a current and target value by the supplied speed.

Returns
  A Vector3

Parameters

  currentValue | A Vector3 the starting or initial value
  targetValue | A Vector3 the target value that the current value will be eased to.
  speed | A System.Single to be used as rate of speed (larger number equals faster animation)

The documentation for this class was generated from the following file:

- Assets/Mad Level Manager/Scripts/Mad2D/MadiTween.cs